package net.retiolus.osm2gmaps.utils.maps.converters

fun extract2GisCoordinates(link: String): Triple<Double, Double, Int> {
    val decodedLink = java.net.URLDecoder.decode(link, "UTF-8")
    val coordinatesRegex = """([-+]?\d*\.?\d+),([-+]?\d*\.?\d+)""".toRegex()
    val zoomRegex = """(?<=/zoom/)([\d.]+)""".toRegex()

    val coordinatesMatch = coordinatesRegex.find(decodedLink)
    println(coordinatesMatch)
    val zoomMatch = zoomRegex.find(decodedLink)

    if (coordinatesMatch != null) {
        val latitude = coordinatesMatch.groupValues[2].toDouble()
        val longitude = coordinatesMatch.groupValues[1].toDouble()
        /*val zoom = zoomMatch?.groupValues?.get(1)?.toInt() ?: 0*/
        val zoom = 0

        return Triple(latitude, longitude, zoom)
    }

    return Triple(0.0, 0.0, 0)
}

fun create2GisLink(latitude: Double, longitude: Double, zoomLevel: Int): String {
    println("https://2gis.ru/geo/$longitude%2C$latitude")
    return "https://2gis.ru/geo/$longitude%2C$latitude"
}