package net.retiolus.osm2gmaps.utils.maps.converters

fun convertToDMS(latitude: Double, longitude: Double): Pair<String, String> {
    val latitudeDirection = if (latitude >= 0) "N" else "S"
    val longitudeDirection = if (longitude >= 0) "E" else "W"

    val latitudeDegrees = latitude.toInt()
    val latitudeMinutes = ((latitude - latitudeDegrees) * 60).toInt()
    val latitudeSeconds = ((latitude - latitudeDegrees - latitudeMinutes.toDouble() / 60) * 3600).toInt()

    val longitudeDegrees = longitude.toInt()
    val longitudeMinutes = ((longitude - longitudeDegrees) * 60).toInt()
    val longitudeSeconds = ((longitude - longitudeDegrees - longitudeMinutes.toDouble() / 60) * 3600).toInt()

    val latitudeDMS = String.format("%d° %d' %d\" %s", latitudeDegrees, latitudeMinutes, latitudeSeconds, latitudeDirection)
    val longitudeDMS = String.format("%d° %d' %d\" %s", longitudeDegrees, longitudeMinutes, longitudeSeconds, longitudeDirection)

    return Pair(latitudeDMS, longitudeDMS)
}

fun createDMSLink(latitude: Double, longitude: Double, zoomLevel: Int): String {
    val dms = convertToDMS(latitude, longitude)
    return "${dms.first}, ${dms.second}"
}