package net.retiolus.osm2gmaps.utils.maps.converters

fun extractMagicEarhCoordinates(link: String): Triple<Double, Double, Int> {
    val latIndex = link.indexOf("lat")
    val lonIndex = link.indexOf("lon")

    if (latIndex != -1 && lonIndex != -1) {
        val latSubstring = link.substring(latIndex + 4)
        val lonSubstring = link.substring(lonIndex + 4)

        val latitude = latSubstring.split("&")[0]
        val longitude = lonSubstring.split("&")[0]

        return Triple(latitude.toDouble(), longitude.toDouble(), 0)
    }

    return Triple(0.0, 0.0, 0)
}

fun createMagicEarthLink(latitude: Double, longitude: Double, zoomLevel: Int): String {
    println("https://magicearth.com/?show_on_map&lat=$latitude&lon=$longitude")
    return "https://magicearth.com/?show_on_map&lat=$latitude&lon=$longitude"
}